# Boost C++ Libraries

...one of the most highly regarded and expertly designed C++ library projects in the world. — Herb Sutter and Andrei Alexandrescu, C++ Coding Standards

Public Member Functions | Public Attributes

# boost::locale::boundary::break_info Struct Reference
[Boundary Analysis]

This structure is used for representing boundary point that follows the offset. More...

`#include <boost/locale/boundary/facets.hpp>`

List of all members.

## Public Member Functions

| break_info ()
| break_info (size_t v)
bool | operator< (break_info const &other) const

## Public Attributes

size_t | offset
rule_type | rule

## Detailed Description

This structure is used for representing boundary point that follows the offset.

## Constructor & Destructor Documentation

boost::locale::boundary::break_info::break_info | ( |  | ) | `[inline]`

Create empty break point at beginning

boost::locale::boundary::break_info::break_info | ( | size_t | v | ) | `[inline]`

Create empty break point at offset v. it is useful for order comparison with other points.

## Member Function Documentation

bool boost::locale::boundary::break_info::operator< | ( | break_info const & | other | ) | const`[inline]`

Compare two break points' offset. Allows to search with standard algorithms over the index.

## Member Data Documentation

size_t boost::locale::boundary::break_info::offset

Offset from the beggining of the text where a break occurs.

rule_type boost::locale::boundary::break_info::rule

The identification of this break point according to various break types

The documentation for this struct was generated from the following file:

- boost/locale/boundary/facets.hpp